tenants.prototype.notes = function () {
  var tenant_id = this.id; /* This tenant ID is used for AJAX save */
  var user_id = this.user_id; /* This User is used for AJAX save */
  
    //alert("In the Notes Tab");
    // Validation for #addNote
    $('#addNote')
            .form({
              inline: false,
              on: 'submit',
              keyboardShortcuts: false,
              onSuccess: function (e) {
                e.preventDefault();

                debug_print('#addNote form has passed validation');
                var note = $("#note").val();
                var lease_id = $("#lease_id").val();

                $.ajax({
                  beforeSend: saving_toast,
                  url: 'app/tenants/add-note.php',
                  type: 'GET',
                  async: true,
                  data: {tenant_id: tenant_id, lease_id: lease_id, user_id: user_id, note: note},
                  success: function (response, status, xhr) {
                    if (!has_error(response, xhr)) {
                      has_saved(response, xhr, 'note');
                      start_progress(); /* Restart percentage to 1 */
                      var rside = cloneObject.load_right('start_up');
                      $.when( rside ).done(function () {
                        cloneObject.notes(); /* Reloaded, so add another note */
                      });
                      done_loading();
                    } // END if !ERROR
                  }
                }); // <-- END: .ajax() 
              },
              fields: {
                note: {
                  identifier: 'note',
                  rules: [
                    {
                      type: 'empty',
                      prompt: 'Error: Please enter your notes first then click the &quot;Add Note&quot; button.'
                    }
                  ]
                }

              } // <-- END: fields

            }); // <-- END: #addNote            
  
};